/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.WizardIntro");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("jazz.ui.Button");
dojo.require("com.ibm.team.repository.web.ui.wizard.WizardStepHeader");
dojo.require("com.ibm.team.repository.web.ui.wizard.WizardStep");

dojo.require("dojo.i18n");
dojo.requireLocalization("com.ibm.team.repository.web.ui.internal.wizard", "WizardIntroMessages");

(function() {
var messages;
var WizardStepHeader = com.ibm.team.repository.web.ui.wizard.WizardStepHeader;
var WizardStep = com.ibm.team.repository.web.ui.wizard.WizardStep;
var FAST_PATH_STEP = 5;

dojo.declare("com.ibm.team.repository.web.ui.internal.wizard.WizardIntro", [WizardStep, dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/wizard/templates/Intro.html"),
	
	constructor: function() {
		this.messages = messages = dojo.i18n.getLocalization("com.ibm.team.repository.web.ui.internal.wizard", "WizardIntroMessages");
		this.stepTitle = messages.stepTitle;
		this.includeNavigationUI = false; 
	},

	postCreate: function() {
		var header =  new WizardStepHeader({stepTitle: this.stepTitle});
		this.stepHeaderArea.appendChild(header.domNode);
		this._setupButtons();
	},
	
	_setupButtons: function() {
		var self = this;
		var args = {
			callback: function(){
				self.wizard.selectStep(FAST_PATH_STEP);
				
			},
			buttonText: this.messages.fastPathButton, 
			size: "large",
			"class":  "com-ibm-team-repository-wizard-button"
		}
		var fastButton = new jazz.ui.Button(args);
		this._fastPathButton.appendChild(fastButton.domNode);

		args.callback = function(){
			self.wizard.selectStep(2);
		};
		args.buttonText = this.messages.customButton;
		var customButton = new jazz.ui.Button(args);
		this._customPathButton.appendChild(customButton.domNode);	
	}

});

})();